import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CreateCollectionComponent } from './create-collection/create-collection.component';
import { PageCollectionComponent } from './page-collection/page-collection.component';
import { PageRoleComponent } from './page-role/page-role.component';
import { PageUserComponent } from './page-user/page-user.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/collection',
    pathMatch: "full",
  },
  {
    path: 'manage',
    children:[
      {
        path: 'collection', //合集列表
        component: PageCollectionComponent,
      },
      {
        path: 'create/collection', //合集列表
        component: CreateCollectionComponent,
      },
      {
        path: 'user', //用户列表
        component: PageUserComponent,
      },
      {
        path: 'role', //列表
        component: PageRoleComponent,
      },
    ]
  }
  
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavAdminRoutingModule {}
